#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySmashEggRewardCFGData
{
	//编号
	int mID;
	//砸蛋类型
	int mEggType;
	//奖励ID
	int mRewardId;
	//奖励数量
	int mRewardCount;
	//权重
	int mWeight;
};

class M_ActivitySmashEggRewardCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySmashEggRewardCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySmashEggRewardCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySmashEggRewardCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySmashEggRewardCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySmashEggRewardCFGData> mMapData;
};
